# module Treetop::Compiler::Metagrammar::Sequence1

### Public Instance Methods

inline_module_name() click to toggle source

    # File lib/treetop/compiler/metagrammar.rb, line 1167
    def inline_module_name
      node_class_declarations.inline_module_name
    end

inline_modules() click to toggle source

    # File lib/treetop/compiler/metagrammar.rb, line 1161
    def inline_modules
      (sequence_elements.map {|elt| elt.inline_modules}).flatten +
      [sequence_element_accessor_module] +
      node_class_declarations.inline_modules
    end

sequence_elements() click to toggle source

    # File lib/treetop/compiler/metagrammar.rb, line 1153
    def sequence_elements
      [sequence_body.head] + tail
    end

tail() click to toggle source

    # File lib/treetop/compiler/metagrammar.rb, line 1157
    def tail
      sequence_body.tail
    end